Managed Instance Azure AD Only Authentications - Delete

Tar bort en befintlig autentiseringsegenskap för endast služba Active Directory.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/azureADOnlyAuthentications/Default?api-version=2025-01-01

URI-parametrar

Name I Obligatorisk Typ Description
authenticationName
path True

AuthenticationName

Namnet på server azure active directory only authentication.

managedInstanceName
path True

string

Namnet på den hanterade instansen.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Namnet på resursgruppen. Namnet är skiftlägesokänsligt.

subscriptionId
path True

string (uuid)

ID för målprenumerationen. Värdet måste vara ett UUID.

api-version
query True

string

minLength: 1

Den API-version som ska användas för den här åtgärden.

Svar

Name Typ Description
200 OK

Resursen har tagits bort.

202 Accepted

Borttagning av resurser har godkänts.

Sidhuvuden

  • Location: string
  • Retry-After: integer
204 No Content

Resursen finns inte.

Other Status Codes

ErrorResponse

Ett oväntat felsvar.

Säkerhet

azure_auth

Azure Active Directory OAuth2-flöde.

Typ: oauth2
Flow: implicit
Auktoriseringswebbadress: https://login.microsoftonline.com/common/oauth2/authorize

Omfattningar

Name Description
user_impersonation personifiera ditt användarkonto

Exempel

Deletes Azure Active Directory only authentication object.

Exempelbegäran

DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/azureADOnlyAuthentications/Default?api-version=2025-01-01

Exempelsvar

Location: https://management.azure.com/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/managedinstanceAdOnlyAuthazureasyncoperation/00000000-1111-2222-3333-444444444444?api-version=2022-11-01-preview

Definitioner

Name Description
AuthenticationName

Namnet på server azure active directory only authentication.

ErrorAdditionalInfo

Resurshanteringsfelet ytterligare information.

ErrorDetail

Detaljerna om felet.

ErrorResponse

Felsvar

AuthenticationName

Namnet på server azure active directory only authentication.

Värde Description
Default

Standardinställning

ErrorAdditionalInfo

Resurshanteringsfelet ytterligare information.

Name Typ Description
info

object

Den ytterligare informationen.

type

string

Typen av ytterligare information.

ErrorDetail

Detaljerna om felet.

Name Typ Description
additionalInfo

ErrorAdditionalInfo[]

Felet ytterligare information.

code

string

Felkoden.

details

ErrorDetail[]

Felinformationen.

message

string

Felmeddelandet.

target

string

Felmålet.

ErrorResponse

Felsvar

Name Typ Description
error

ErrorDetail

Felet objektet.